IEC 61850 Certificate - IEC 61850 Certificate #2503

Bitronics M660 [Bitronics, LLC.]
07/08/2021 04:42 PM - Herbert Falk

Status:
Priority:
61850 Edition:

61850 Tested
Aspects:

Company:

Address:

Product:
HW Version:

SW Version:

Key Words:

Test Procedure
Version:

IEC 61850 Blocks
Certified:

Certificate/Result
Reviewer:

Approval Date:

Standards Tested:

Current Test Lab
Name:

Approved
Normal
Edition 2

Server

Bitronics, LLC.

261 Brodhead Road
Bethlehem, PA 18017 USA

Bitronics M660
M3

2.11.0

1.0

Basic Exchange (B1), Buffered
Reporting (B6), Data Sets (B2),
Enhanced SBO Control (12d),
Unbuffered Reporting (B5)

kathy.ellis
03/28/2016
61850-6, 61850-7-1, 61850-7-2,

61850-7-3, 61850-7-4, 61850-8-1

Grid Automation Laboratories (B)

Test Document:

Certificate Name:

Certificate Hash:

Vendor Artifact File
Name:

Vendor Artifact Hash:

Umbrella
Organization:

Optional Reservation
Test:

Serial Number:

Publisher Legacy
Variants:

Publisher Preferred
Rates:

Publisher Preferred
Variants:

Subscriber Legacy
Variants:

Subscriber Preferred
Variants:

Subscriber Preferred
Rates:

50745.6660.801

EC68868E990F61B292E14E6CDC2BD7
913227FAA84010271CD708BEF2B1EA
0C95

No

Description

This certificate and its information was migrated from a previous database

History

#1 - 07/08/2021 04:42 PM - Herbert Falk
- File 50745.6660.801_BitronicsM66X_Edition2_Certificate-6.pdf added

#2 - 08/04/2021 09:37 AM - Herbert Falk
- Current Test Lab Name changed from UK Grid Solutions Ltd (B) to Grid Automation Laboratories (B)
